#pragma once
#include "locationpopuplist.h"

class Location 
{
public:
	Location();
	~Location(void);

	void DeepRefresh(int locationId);
	void ShallowRefresh();
	void OnCustomNotify(int id, Notification& n);

	LocationRecord record;

	enum State {empty,active,event, useroccupied};
	State state;

	int IsActive() {return state==active || state==event || state==useroccupied;};

	LocationPopupList popup;// the active events and users for this location
	ListItem * item;
	int editing; // this location is in the edit list
	int checked;
	int haspopup;
};